import { Configuration } from '@energyweb/utils-general';
import { Certificate, IClaimData } from './Certificate';
export interface IBlockchainEvent {
    name: string;
    transactionHash: string;
    blockHash: string;
    values: any;
    timestamp: number;
}
export declare const encodeClaimData: (claimData: IClaimData, configuration: Configuration.Entity) => Promise<string>;
export declare const decodeClaimData: (encodedClaimData: string, configuration: Configuration.Entity) => Promise<IClaimData>;
export declare function claimCertificates(certificateIds: number[], claimData: IClaimData, configuration: Configuration.Entity): Promise<import("ethers").ContractTransaction>;
export declare function transferCertificates(certificateIds: number[], to: string, configuration: Configuration.Entity): Promise<import("ethers").ContractTransaction>;
export declare function getAllCertificates(configuration: Configuration.Entity): Promise<Certificate[]>;
export declare function getAllOwnedCertificates(configuration: Configuration.Entity): Promise<Certificate[]>;
export declare const getAllCertificateEvents: (certId: number, configuration: Configuration.Entity) => Promise<IBlockchainEvent[]>;
